# coding: utf-8

from __future__ import absolute_import

from flask import json
from six import BytesIO

from swagger_server.models.aqi import AQI  # noqa: E501
from swagger_server.models.temperature_precipitation import TemperaturePrecipitation  # noqa: E501
from swagger_server.models.uv import UV  # noqa: E501
from swagger_server.test import BaseTestCase


class TestDefaultController(BaseTestCase):
    """DefaultController integration test stubs"""

    def test_controller_get_current_aqi(self):
        """Test case for controller_get_current_aqi

        Return current AQI value.
        """
        response = self.client.open(
            '/horoscope-api/v1/current/aqi',
            method='GET')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))

    def test_controller_get_current_precipitation_probability(self):
        """Test case for controller_get_current_precipitation_probability

        Return current Precipitation Probability.
        """
        response = self.client.open(
            '/horoscope-api/v1/current/precipitation',
            method='GET')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))

    def test_controller_get_current_temp(self):
        """Test case for controller_get_current_temp

        Return current temperature in degree celsius.
        """
        response = self.client.open(
            '/horoscope-api/v1/current/temperature',
            method='GET')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))

    def test_controller_get_current_uv_index(self):
        """Test case for controller_get_current_uv_index

        Return current UV Index.
        """
        response = self.client.open(
            '/horoscope-api/v1/current/uv_index',
            method='GET')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))

    def test_controller_get_history_aqi(self):
        """Test case for controller_get_history_aqi

        Returns a list of aqi along the time.
        """
        response = self.client.open(
            '/horoscope-api/v1/history/aqi',
            method='GET')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))

    def test_controller_get_history_temperature_precipitation(self):
        """Test case for controller_get_history_temperature_precipitation

        Returns a list of temperature and precipitation probability over the time.
        """
        response = self.client.open(
            '/horoscope-api/v1/history/TemperaturePrecitation',
            method='GET')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))

    def test_controller_get_history_uv_index(self):
        """Test case for controller_get_history_uv_index

        Returns a list of UV Index overtime.
        """
        response = self.client.open(
            '/horoscope-api/v1/history/uv_index',
            method='GET')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))


if __name__ == '__main__':
    import unittest
    unittest.main()
